Subject: bug#25861: 25.1.91; error from js-mode indentation function

From: Dmitry Gutov <[email-masked]>
Date: Fri, 24 Feb 2017 18:37:22 +0200

On 24.02.2017 17:08, Tom Tromey wrote:

> While working on some JS code I noticed that when writing a certain
> file, I got a "scan-error" when I typed TAB.  I tracked this down to a
> buglet in js--indent-in-array-comp.
> 
> This patch fixes the problem by wrapping the call to forward-sexp there
> in a condition-case.  I've added a new test case as well.

Looks good, thanks. I guess we didn't notice it until now because most 
people use some kind of auto-pairing solution, like electric-pair-mode.